<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Ajax Like Dislike Article Panel + JSON-LD microdata
| Version: 1.3
| Filename: like_dislike_article_panel.php
| Author: Pisatel
| Support: http://www.meweb.ru/forum/viewthread.php?thread_id=32
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
    if (FUSION_SELF == "articles.php" && isset($_GET['article_id']) && isnum($_GET['article_id'])) {
    ob_start();
    include INFUSIONS."like_dislike_article_panel/locale/".(file_exists(INFUSIONS."like_dislike_article_panel/locale/".$settings['locale'].".php") ? $settings['locale'] : "Russian").".php";
    include INFUSIONS."like_dislike_article_panel/infusion_db.php";
    $qq = dbarray(dbquery("SELECT la.article_id, la.article_cat, la.article_subject, la.article_snippet, la.article_datestamp, lac.article_cat_id, lac.article_cat_name, lu.user_id, lu.user_name
  FROM ".DB_ARTICLES." la
  INNER JOIN ".DB_ARTICLE_CATS." lac ON la.article_cat=lac.article_cat_id
  LEFT JOIN ".DB_USERS." lu ON la.article_name=lu.user_id
  WHERE article_id='".$_GET['article_id']."' LIMIT 1"));
    $lresult = dbquery("SELECT like_like, like_dislike FROM ".DB_LIKE_DISLIKE." WHERE like_article_id='".$_GET['article_id']."' LIMIT 1");
    if (dbrows($lresult)) {
    $ldata = dbarray($lresult);
    $like = $ldata['like_like'];
    $unlike = $ldata['like_dislike'];
    $asum = $like + $unlike;
} else {
    dbquery("INSERT INTO ".DB_LIKE_DISLIKE." (like_article_id, like_like, like_dislike) VALUES ('".$_GET['article_id']."', '0', '0')");
    $like = 0;
    $unlike = 0;
    $asum = 0;
}
    switch(TRUE) {
      case ($like == 0 && $unlike > 0): $rating = 0; break;
      case ($like > 0 && $unlike == 0): $rating = 5; break;
      case ($like > 0 && $unlike > 0): $rating = round(($like * 5 / $asum), 1); break;
      default: $rating = 0;
}
    add_to_head("<link rel='stylesheet' href='".INFUSIONS."like_dislike_article_panel/inc/like_dislike.css' />
<script type=\"application/ld+json\">
{
  \"@context\": \"http://schema.org\",
  \"@type\": \"Article\",
  \"name\": \"".$qq['article_subject']."\",
  \"description\": \"".stripinput($qq['article_snippet'])."\",
  \"author\": {
  \"@id\": \"".$settings['siteurl']."profile.php?lookup=".$qq['user_id']."\",
  \"@type\": \"Person\",
  \"name\": \"".$qq['user_name']."\"
},
  \"articleSection\": \"".$qq['article_cat_name']."\",
  \"datePublished\": \"".date("c", $qq['article_datestamp'])."\",
  \"aggregateRating\": {
    \"@type\": \"AggregateRating\",
    \"ratingValue\": \"".$rating."\",
    \"bestRating\": \"5\",
    \"ratingCount\": \"".$asum."\"
  }
}
</script>\n");
    add_to_footer("<script src='".INFUSIONS."like_dislike_article_panel/inc/like_dislike_".(file_exists(INFUSIONS."like_dislike_article_panel/inc/like_dislike_".$settings['locale'].".js") ? $settings['locale'] : "Russian").".js'></script>\n");
    $lres = "<div class='tbl tbl-border ldapo' itemscope itemtype='http://schema.org/Article'>\n";
    $lres .= "<div class='ldap'><i class='fa fa-line-chart'></i> ".$locale['ldap_01']."</div>\n";
    $lres .= "<div class='ld-stats-bar'></div>\n";
    $lres .= "<span id='status'></span>\n";
    $lres .= "<div class='ldapb'>\n";
    $lres .= "<i class='fa fa-2x fa-thumbs-o-up'></i><input type='button' value='".$like."' class='button_like' id='linkeBtn' data-articleid='".(iMEMBER ? $_GET['article_id'] : "guest")."' />\n";
    $lres .= "<i class='fa fa-2x fa-thumbs-o-down'></i><input type='button' value='".$unlike."' class='button_unlike' id='unlinkeBtn' data-articleid='".(iMEMBER ? $_GET['article_id'] : "guest")."' />\n";
    $lres .= "</div>\n";
    $lres .= "<span itemprop='aggregateRating' itemscope itemtype='http://schema.org/AggregateRating'>\n<meta itemprop='worstRating' content='1'>\n<meta itemprop='bestRating' content='5'>\n<meta itemprop='ratingValue' content='".$rating."'>\n<meta itemprop='reviewCount' content='".$asum."'>\n</span>\n";
    $lres .= "</div>\n";
    echo $lres;
    $ob_get_contents = ob_get_contents();
    ob_end_clean();
    $ob_get_contents = str_replace("'", "\'", $ob_get_contents);
    replace_in_output("<!--sub_article-->", $ob_get_contents."\n<!--sub_article-->\n");
}
?>