<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Ajax Like Dislike Article Panel + JSON-LD microdata
| Version: 1.2
| Filename: like_dislike_admin.php
| Author: Pisatel
| Support: http://www.meweb.ru/forum/viewthread.php?thread_id=32
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

    require_once "../../maincore.php";
    if (!checkAdminPageAccess("LDP")) { redirect("../../index.php"); exit; }

    require_once THEMES."templates/admin_header.php";

    include INFUSIONS."like_dislike_article_panel/infusion_db.php";
     include INFUSIONS."like_dislike_article_panel/locale/".(file_exists(INFUSIONS."like_dislike_article_panel/locale/".$settings['locale'].".php") ? $settings['locale'] : "Russian").".php";
    if (isset($_GET['status']) && !isset($message)) {
    switch($_GET['status']) {
    case "ldelete": $message = $locale['ldap_11']; break;
    case "lalldelete": $message = $locale['ldap_12']; break;
    default: $message = FALSE;
}
    if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
 } elseif ((isset($_GET['action']) && $_GET['action'] == "ldelete" && isset($_GET['article_id']) && isnum($_GET['article_id']))) {
    $result = dbquery("UPDATE ".DB_LIKE_DISLIKE." SET like_like=0, like_dislike=0 WHERE like_article_id='".$_GET['article_id']."' LIMIT 1");
  redirect(FUSION_SELF.$aidlink."&amp;status=ldelete");
} elseif ((isset($_GET['action']) && $_GET['action'] == "lalldelete")) {
    $result = dbquery("UPDATE ".DB_LIKE_DISLIKE." SET like_like=0, like_dislike=0");
  redirect(FUSION_SELF.$aidlink."&amp;status=lalldelete");
}
    $tnav = "<table class='tbl-border' style='padding:0; border-spacing:0; margin:0 auto; width:95%;'>\n<tr style='border-bottom:2px solid #222;'>\n";
    $tnav .= "<td style='width:1%; text-align:center; vertical-align:middle;'><strong>".$locale['ldap_02']."</strong>\n";
    $tnav .= "<td style='width:50%; text-align:center; vertical-align:middle;'><strong>".$locale['ldap_03']."</strong>\n";
    $tnav .= "<td style='width:15%; text-align:center; vertical-align:middle;'><strong>".$locale['ldap_04']."</strong>\n";
    $tnav .= "<td style='width:15%; text-align:center; vertical-align:middle;'><strong>".$locale['ldap_05']."</strong>\n";
    $tnav .= "<td style='width:20%; text-align:center; vertical-align:middle;'><strong>".$locale['ldap_06']."</strong>\n";
    $rows = dbcount("(like_id)", DB_LIKE_DISLIKE);
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
    $i = 0;
    $result = dbquery("SELECT ll.like_id, ll.like_article_id, ll.like_like, ll.like_dislike, la.article_id, la.article_subject FROM ".DB_LIKE_DISLIKE." ll
INNER JOIN ".DB_ARTICLES." la
ON ll.like_article_id=la.article_id
ORDER BY like_article_id DESC LIMIT ".$_GET['rowstart'].", 50");
    if (dbrows($result)) {
    while ($data = dbarray($result)) {
    $tnav .= "<tr class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'>\n";
    $tnav .= "<td style='text-align:center; vertical-align:middle;'>".$data['like_id']."\n";
    $tnav .= "<td style='text-align:center; vertical-align:middle;'><a href='".BASEDIR."articles.php?article_id=".$data['article_id']."'>".$data['article_subject']."</a>\n";
    $tnav .= "<td style='text-align:center; vertical-align:middle;'><span style='color:green'>".$data['like_like']."</span>\n";
    $tnav .= "<td style='text-align:center; vertical-align:middle;'><span style='color:red'>".$data['like_dislike']."</span>\n";
    $tnav .= "<td style='text-align:center; vertical-align:middle; border-left:1px solid #ddd;'><a href='".FUSION_SELF.$aidlink."&amp;action=ldelete&amp;article_id=".$data['article_id']."' onclick=\"return confirm('".$locale['ldap_07']."');\">".$locale['ldap_08']."</a>\n";
    $i++;
}
    $tnav .= "<tr>\n<td colspan='4'>\n<td style='text-align:center; vertical-align:middle;'><a class='button' href='".FUSION_SELF.$aidlink."&amp;action=lalldelete' onclick=\"return confirm('".$locale['ldap_09']."');\">".$locale['ldap_10']."</a>\n";
    if ($rows > 50){
    $tnav .= "<tr>\n<td colspan='5' style='text-align:center; vertical-align:middle;'><div style='margin:5px auto;'>\n".makePageNav($_GET['rowstart'], 50, $rows, 3, FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
  }
} else {
    $tnav .= "<tr><td style='text-align:center; vertical-align:middle;' colspan='5'>".$locale['ldap_13']."\n";
}
    $tnav .= "</table>\n";
    opentable($locale['ldap_14'].$locale['ldap_version']);
    echo $tnav;
    closetable();
    require_once THEMES."templates/footer.php";

?>